## ros-noetic-rostime 0.7.2

=== debian/changelog ===
ros-noetic-rostime (0.7.2-1buster) buster; urgency=high

  * [Windows] Using C++11 std::chrono for ros_walltime & ros_steadytime (#121 <https://github.com/ros/roscpp_core/issues/121>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 28 May 2020 07:00:00 -0000

ros-noetic-rostime (0.7.1-1buster) buster; urgency=high

  * only depend on the boost components needed (#117 <https://github.com/ros/roscpp_core/issues/117>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 25 Jan 2020 08:00:00 -0000

ros-noetic-rostime (0.7.0-1buster) buster; urgency=high

  * rostime: remove empty destructor of DurationBase (#104 <https://github.com/ros/roscpp_core/issues/104>)
  * various code cleanup (#116 <https://github.com/ros/roscpp_core/issues/116>)
  * Bump CMake version to avoid CMP0048 warning (#115 <https://github.com/ros/roscpp_core/issues/115>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Jan 2020 08:00:00 -0000

ros-noetic-rostime (0.6.13-1buster) buster; urgency=high

  * use _WIN32 for platform detection (#110 <https://github.com/ros/roscpp_core/issues/110>)
  * Clarified documentation for time validity (#109 <https://github.com/ros/roscpp_core/issues/109>)
  * rostime: replace c-style casts with static_casts (#106 <https://github.com/ros/roscpp_core/issues/106>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 03 Oct 2019 07:00:00 -0000

ros-noetic-rostime (0.6.12-1buster) buster; urgency=high

  * use std::numeric_limits instead of * _MAX macros for range checking (#103 <https://github.com/ros/roscpp_core/issues/103>)
  * use std::this_thread::sleep_for instead of WaitableTimer (#101 <https://github.com/ros/roscpp_core/issues/101>)
  * include windows.h in time.cpp (#100 <https://github.com/ros/roscpp_core/issues/100>)
  * fix duration bug and add tests. (#98 <https://github.com/ros/roscpp_core/issues/98>)
  * fix for Duration::fromSec() which had rounding issues (#93 <https://github.com/ros/roscpp_core/issues/93>)
  * fix bug in HAVE_CXXABI_H compiler check (#89 <https://github.com/ros/roscpp_core/issues/89>)
  * add ROSTIME_DECL storage-class attribute (#90 <https://github.com/ros/roscpp_core/issues/90>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 Mar 2019 08:00:00 -0000

ros-noetic-rostime (0.6.11-1buster) buster; urgency=high

  * argument to boost microseconds must be integral for Boost 1.67 and newer compatibility (#79 <https://github.com/ros/roscpp_core/issues/79>)
  * remove empty destructor of TimeBase (which makes TimeBase, Time and WallTime trivially copyable) (#82 <https://github.com/ros/roscpp_core/issues/82>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 06 Jun 2018 07:00:00 -0000

ros-noetic-rostime (0.6.10-1buster) buster; urgency=high

  * fix conversion of Duration on macOS (#78 <https://github.com/ros/roscpp_core/issues/78>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 01 May 2018 07:00:00 -0000

ros-noetic-rostime (0.6.9-1buster) buster; urgency=high

  * expose ros_walltime and ros_steadytime (#73 <https://github.com/ros/roscpp_core/issues/73>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 02 Feb 2018 08:00:00 -0000

ros-noetic-rostime (0.6.8-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 26 Jan 2018 08:00:00 -0000

ros-noetic-rostime (0.6.7-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Nov 2017 07:00:00 -0000

ros-noetic-rostime (0.6.6-1buster) buster; urgency=high

  * only use Apple features on Apple (#68 <https://github.com/ros/roscpp_core/issues/68>)
  * remove exception specification (#64 <https://github.com/ros/roscpp_core/issues/64>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Oct 2017 07:00:00 -0000

ros-noetic-rostime (0.6.5-1buster) buster; urgency=high

  * add additional checks for valid time values (#62 <https://github.com/ros/roscpp_core/pull/62>)
  * fix overflow bugs in Time and Duration (#61 <https://github.com/ros/roscpp_core/pull/61>, #63 <https://github.com/ros/roscpp_core/pull/63>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-noetic-rostime (0.6.4-1buster) buster; urgency=high

  * add logic to support steady time on macOS (regression of 0.6.3) (#59 <https://github.com/ros/roscpp_core/pull/59>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 06 Jun 2017 07:00:00 -0000

ros-noetic-rostime (0.6.3-1buster) buster; urgency=high

  * add SteadyTime (#57 <https://github.com/ros/roscpp_core/issues/57>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 15 May 2017 07:00:00 -0000

ros-noetic-rostime (0.6.2-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 14 Feb 2017 08:00:00 -0000

ros-noetic-rostime (0.6.1-1buster) buster; urgency=high

  * fix rounding errors leading to invalid stored data in ros::TimeBase (#48 <https://github.com/ros/roscpp_core/issues/48>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 02 Sep 2016 07:00:00 -0000

ros-noetic-rostime (0.6.0-1buster) buster; urgency=high

  * change Duration:sleep return semantic (#47 <https://github.com/ros/roscpp_core/pull/47>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Mar 2016 07:00:00 -0000

ros-noetic-rostime (0.5.7-1buster) buster; urgency=high

  * Adjust return value of sleep() function (#45 <https://github.com/ros/roscpp_core/pull/45>)
  * fix WallRate(Duration) constructor (#40 <https://github.com/ros/roscpp_core/pull/40>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 09 Mar 2016 08:00:00 -0000

ros-noetic-rostime (0.5.6-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 20 May 2015 07:00:00 -0000

ros-noetic-rostime (0.5.5-1buster) buster; urgency=high

  * move implementation of Duration(Rate) constructor (#30 <https://github.com/ros/roscpp_core/issues/30>)
  * fix Duration initialization from seconds for negative values  (#29 <https://github.com/ros/roscpp_core/pull/29>)


