=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-noetic-rostime
 Section: misc
 Priority: optional
-Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
+Maintainer: Martin Pecka <peckama2@fel.cvut.cz>
 Build-Depends: debhelper (>= 9.0.0), libboost-date-time-dev, libboost-system-dev, libboost-thread-dev, ros-noetic-catkin (>= 0.5.68), ros-noetic-cpp-common
 Homepage: http://ros.org/wiki/rostime
 Standards-Version: 3.9.2
